[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TListEnumerator.MoveNext

Move the position of the enumerator to the next position in the list.

## Declaration

Source position: classesh.inc line 294

`public function TListEnumerator.MoveNext: Boolean;`

## Description

MoveNext puts the pointer on the next item in the list, and returns True if this succeeded, or False if the pointer is past the last element in the list.

## Errors

Note that if False is returned, calling GetCurrent will result in an exception.

## See also

GetCurrent |  | Return the current pointer in the list